OpenJPEG 2.5.0

Data Fields
aux_response_param Struct Reference

## Data Fields
char * | cid
unsigned char * | data
OPJ_SIZE_T | datalen
OPJ_SIZE_T | maxlenPerFrame
SOCKET | listensock

## Field Documentation

## ◆ cid

char* aux_response_param::cid

channel ID

Referenced by aux_streaming(), and gene_auxresponse().

## ◆ data

unsigned char* aux_response_param::data

sending data

Referenced by aux_streaming(), and gene_auxresponse().

## ◆ datalen

OPJ_SIZE_T aux_response_param::datalen

length of data

Referenced by aux_streaming(), and gene_auxresponse().

## ◆ listensock

SOCKET aux_response_param::listensock

listening socket

Referenced by aux_streaming(), and gene_auxresponse().

## ◆ maxlenPerFrame

OPJ_SIZE_T aux_response_param::maxlenPerFrame

maximum data length to send per frame

Referenced by aux_streaming(), and gene_auxresponse().

The documentation for this struct was generated from the following file:

- auxtrans_manager.c